DC_BUFFER_PREPEND(3)

NAME
dc_buffer_prepend - prepend to a binary buffer

LIBRARY
libdivecomputer

SYNOPSIS
#include <libdivecomputer/buffer.h>
int
dc_buffer_prepend(dc_buffer_t *buffer, const unsigned char data[], size_t size);

DESCRIPTION
Prepend size bytes of data to the beginning of buffer previously allocated with dc_buffer_new(3).

RETURN VALUES
Returns non-zero on success or zero on memory exhaustion or if buffer is NULL.

SEE ALSO
dc_buffer_new(3)

AUTHORS
The libdivecomputer library was written by Jef Driesen, jef@libdivecomputer.org. The manpages were written by Kristaps Dzonsons, kristaps@bsd.lv.